Subject: [Shop-talk] caulk gun

From: Brad Kahler <[email-masked]>
Date: Tue, 12 Mar 2013 21:56:18 -0400

I'm in need of a new caulk gun and the only style I seem to be able to find
has the smooth round shaft.  My experience with a half dozen different guns
like that is they work like crap.  I bought the best one Lowes had to offer
and it was just as bad as the rest of them.

Somehow I lost my nice gun that had teeth for the ratchet mechanism.  That
gun always worked.

Any suggestions on where to find a decent gun with teeth on the shaft?

Thanks,

Brad
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive